<?php

/**
* Get started notice
*/

add_action( 'wp_ajax_woodworking_carpenter_dismissed_notice_handler', 'woodworking_carpenter_ajax_notice_handler' );

/**
 * AJAX handler to store the state of dismissible notices.
 */
function woodworking_carpenter_ajax_notice_handler() {
    if ( isset( $_POST['type'] ) ) {
        // Pick up the notice "type" - passed via jQuery (the "data-notice" attribute on the notice)
        $type = sanitize_text_field( wp_unslash( $_POST['type'] ) );
        // Store it in the options table
        update_option( 'dismissed-' . $type, TRUE );
    }
}

function woodworking_carpenter_deprecated_hook_admin_notice() {
        // Check if it's been dismissed...
        if ( ! get_option('dismissed-get_started', FALSE ) ) { ?>
            <?php
            $current_screen = get_current_screen();
				if ($current_screen->id !== 'appearance_page_woodworking-carpenter-guide-page') {
             $woodworking_carpenter_comments_theme = wp_get_theme(); ?>
            <div class="woodworking-carpenter-notice-wrapper updated notice notice-get-started-class is-dismissible" data-notice="get_started">
			<div class="woodworking-carpenter-notice">
				<div class="woodworking-carpenter-notice-img">
					<img src="<?php echo esc_url(get_template_directory_uri() . '/assets/images/admin-logo.png'); ?>" alt="<?php esc_attr_e('logo', 'woodworking-carpenter'); ?>">
				</div>
				<div class="woodworking-carpenter-notice-content">
					<div class="woodworking-carpenter-notice-heading"><?php esc_html_e('Thanks for installing ','woodworking-carpenter'); ?><?php echo esc_html( $woodworking_carpenter_comments_theme ); ?></div>
					<p><?php printf(__('In order to fully benefit from everything our theme has to offer, please make sure you visit our <a href="%s">For Premium Options</a>.', 'woodworking-carpenter'), esc_url(admin_url('themes.php?page=woodworking-carpenter-guide-page'))); ?></p>
					<?php if (is_child_theme()) { ?>
						<?php $child_theme = wp_get_theme(); ?>
						<?php printf(esc_html__('You\'re using %1$s theme, It\'s a child theme of %2$s.', 'woodworking-carpenter'), '<strong>' . $child_theme->Name . '</strong>', '<strong>' . esc_html__('woodworking_carpenter', 'woodworking-carpenter') . '</strong>'); 
						?>
						<?php
						$copy_link_args = array(
							'page' => 'woodworking-carpenter',
							'action' => 'show_copy_settings',
						);
						$copy_link = add_query_arg($copy_link_args, admin_url('themes.php'));
						?>
						<?php printf('%s <a href="%s" class="go-to-setting">%s</a>', esc_html__('Now you can copy setting data from parent theme to this child theme', 'woodworking-carpenter'), esc_url($copy_link), esc_html__('Copy Settings', 'woodworking-carpenter')); ?>
					<?php } ?>
				</div>
			</div>
		</div>
        <?php }
	}
}

add_action( 'admin_notices', 'woodworking_carpenter_deprecated_hook_admin_notice' );

add_action( 'admin_menu', 'woodworking_carpenter_getting_started' );
function woodworking_carpenter_getting_started() {    	    	
	add_theme_page( esc_html__('Get Started', 'woodworking-carpenter'), esc_html__('Get Started', 'woodworking-carpenter'), 'edit_theme_options', 'woodworking-carpenter-guide-page', 'woodworking_carpenter_test_guide');   
}

function woodworking_carpenter_admin_enqueue_scripts() {
	wp_enqueue_style( 'woodworking-carpenter-admin-style', esc_url( get_template_directory_uri() ).'/css/main.css' );
	wp_enqueue_script( 'woodworking-carpenter-admin-script', get_template_directory_uri() . '/js/woodworking-carpenter-admin-script.js', array( 'jquery' ), '', true );
    wp_localize_script( 'woodworking-carpenter-admin-script', 'woodworking_carpenter_ajax_object',
        array( 'ajax_url' => admin_url( 'admin-ajax.php' ) )
    );
}
add_action( 'admin_enqueue_scripts', 'woodworking_carpenter_admin_enqueue_scripts' );

if ( ! defined( 'WOODWORKING_CARPENTER_DOCS_FREE' ) ) {
define('WOODWORKING_CARPENTER_DOCS_FREE',__('https://www.misbahwp.com/docs/woodworking-carpenter-free-docs/','woodworking-carpenter'));
}
if ( ! defined( 'WOODWORKING_CARPENTER_DOCS_PRO' ) ) {
define('WOODWORKING_CARPENTER_DOCS_PRO',__('https://www.misbahwp.com/docs/woodworking-carpenter-pro-docs','woodworking-carpenter'));
}
if ( ! defined( 'WOODWORKING_CARPENTER_BUY_NOW' ) ) {
define('WOODWORKING_CARPENTER_BUY_NOW',__('https://www.misbahwp.com/themes/woodworking-carpenter-wordpress-theme/','woodworking-carpenter'));
}
if ( ! defined( 'WOODWORKING_CARPENTER_SUPPORT_FREE' ) ) {
define('WOODWORKING_CARPENTER_SUPPORT_FREE',__('https://wordpress.org/support/theme/woodworking-carpenter','woodworking-carpenter'));
}
if ( ! defined( 'WOODWORKING_CARPENTER_REVIEW_FREE' ) ) {
define('WOODWORKING_CARPENTER_REVIEW_FREE',__('https://wordpress.org/support/theme/woodworking-carpenter/reviews/#new-post','woodworking-carpenter'));
}
if ( ! defined( 'WOODWORKING_CARPENTER_DEMO_PRO' ) ) {
define('WOODWORKING_CARPENTER_DEMO_PRO',__('https://www.misbahwp.com/demo/woodworking-carpenter','woodworking-carpenter'));
}
if( ! defined( 'WOODWORKING_CARPENTER_THEME_BUNDLE' ) ) {
define('WOODWORKING_CARPENTER_THEME_BUNDLE',__('https://www.misbahwp.com/themes/wordpress-bundle/','woodworking-carpenter'));
}

function woodworking_carpenter_test_guide() { ?>
	<?php $woodworking_carpenter_theme = wp_get_theme(); ?>
	<div class="wrap" id="main-page">
		<div id="lefty">
			<div id="admin_links">
				<a href="<?php echo esc_url( WOODWORKING_CARPENTER_DOCS_FREE ); ?>" target="_blank" class="blue-button-1"><?php esc_html_e( 'Documentation', 'woodworking-carpenter' ) ?></a>			
				<a href="<?php echo esc_url( admin_url('customize.php') ); ?>" id="customizer" target="_blank"><?php esc_html_e( 'Customize', 'woodworking-carpenter' ); ?> </a>
				<a class="blue-button-1" href="<?php echo esc_url( WOODWORKING_CARPENTER_SUPPORT_FREE ); ?>" target="_blank" class="btn3"><?php esc_html_e( 'Support', 'woodworking-carpenter' ) ?></a>
				<a class="blue-button-2" href="<?php echo esc_url( WOODWORKING_CARPENTER_REVIEW_FREE ); ?>" target="_blank" class="btn4"><?php esc_html_e( 'Review', 'woodworking-carpenter' ) ?></a>
			</div>
			<div id="description">
				<h3><?php esc_html_e('Welcome! Thank you for choosing ','woodworking-carpenter'); ?><?php echo esc_html( $woodworking_carpenter_theme ); ?>  <span><?php esc_html_e('Version: ', 'woodworking-carpenter'); ?><?php echo esc_html($woodworking_carpenter_theme['Version']);?></span></h3>
				<img class="img_responsive" style="width:100%;" src="<?php echo esc_url( get_template_directory_uri() ); ?>/screenshot.png">
				<div id="description-insidee">
					<?php
						$woodworking_carpenter_theme = wp_get_theme();
						echo wp_kses_post( apply_filters( 'misbah_theme_description', esc_html( $woodworking_carpenter_theme->get( 'Description' ) ) ) );
					?>
				</div>
			</div>
		</div>
		<div id="righty">
			<div class="postboxx donate">
				<h3 class="hndle"><?php esc_html_e( 'Upgrade to Premium', 'woodworking-carpenter' ); ?></h3>
				<div class="insidee">
					<p><?php esc_html_e('Discover upgraded pro features with premium version click to upgrade.','woodworking-carpenter'); ?></p>
					<div id="admin_pro_links">
						<a class="blue-button-2" href="<?php echo esc_url( WOODWORKING_CARPENTER_BUY_NOW ); ?>" target="_blank"><?php esc_html_e( 'Go Pro', 'woodworking-carpenter' ); ?></a>
						<a class="blue-button-1" href="<?php echo esc_url( WOODWORKING_CARPENTER_DEMO_PRO ); ?>" target="_blank"><?php esc_html_e( 'Live Demo', 'woodworking-carpenter' ) ?></a>
						<a class="blue-button-2" href="<?php echo esc_url( WOODWORKING_CARPENTER_DOCS_PRO ); ?>" target="_blank"><?php esc_html_e( 'Pro Docs', 'woodworking-carpenter' ) ?></a>
					</div>
				</div>

				<h3 class="hndle bundle"><?php esc_html_e( 'Go For Theme Bundle', 'woodworking-carpenter' ); ?></h3>
				<div class="insidee theme-bundle">
					<p class="offer"><?php esc_html_e('Get 80+ Perfect WordPress Theme In A Single Package at just $79."','woodworking-carpenter'); ?></p>
					<p class="coupon"><?php esc_html_e('Exclusive Offer !! Get Our Theme Pack of 60+ WordPress Themes At 10% Off','woodworking-carpenter'); ?><span class="coupon-code"><?php esc_html_e('"Themespack10"','woodworking-carpenter'); ?></span></p>
					<div id="admin_pro_linkss">
						<a class="blue-button-1" href="<?php echo esc_url( WOODWORKING_CARPENTER_THEME_BUNDLE ); ?>" target="_blank"><?php esc_html_e( 'Theme Bundle', 'woodworking-carpenter' ) ?></a>
					</div>
				</div>
				<div class="d-table">
			    <ul class="d-column">
			      <li class="feature"><?php esc_html_e('Features','woodworking-carpenter'); ?></li>
			      <li class="free"><?php esc_html_e('Pro','woodworking-carpenter'); ?></li>
			      <li class="plus"><?php esc_html_e('Free','woodworking-carpenter'); ?></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('24hrs Priority Support','woodworking-carpenter'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Kirki Framework','woodworking-carpenter'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('One Click Demo Import','woodworking-carpenter'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Secton Reordering','woodworking-carpenter'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Enable / Disable Option','woodworking-carpenter'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Posttype','woodworking-carpenter'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Multiple Sections','woodworking-carpenter'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Color Pallete','woodworking-carpenter'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Widgets','woodworking-carpenter'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Page Templates','woodworking-carpenter'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Typography','woodworking-carpenter'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Background Image / Color ','woodworking-carpenter'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>		    
	  		</div>
			</div>
		</div>
	</div>

<?php } ?>
